### Constructor

# GcrUi KeyWidget new

#### Declaration [src]

    GcrKeyWidget*
    gcr_key_widget_new (
      GckAttributes* attrs
    )

#### Description [src]

Create a new key widget which displays a given key in the attributes.

#### Parameters

`attrs`

  Type: `GckAttributes`

  Key to display, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GcrKeyWidget`

A newly allocated `GcrKeyWidget`, which should be freed with g_object_unref().

The data is owned by the called function.